import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'flutter_installer_platform_interface.dart';

/// An implementation of [FlutterInstallerPlatform] that uses method channels.
class MethodChannelFlutterInstaller extends FlutterInstallerPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_installer');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
