import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'flutter_installer_method_channel.dart';

abstract class FlutterInstallerPlatform extends PlatformInterface {
  /// Constructs a FlutterInstallerPlatform.
  FlutterInstallerPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterInstallerPlatform _instance = MethodChannelFlutterInstaller();

  /// The default instance of [FlutterInstallerPlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterInstaller].
  static FlutterInstallerPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterInstallerPlatform] when
  /// they register themselves.
  static set instance(FlutterInstallerPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
